@echo off
:----------------------------------------------------------------------------:
: 				Sample.bat                                   :
: 		Demonstration for Y_OR_N.COM By Joe Ellis.                   :
:----------------------------------------------------------------------------:

cls
echo This is an example of how to use the Y_OR_N utility in a batch file.
echo You can create your own interactive batch files by asking the user a
echo 'yes' or 'no' question.  By using the proper command line switches, you
echo can enable or disable the beep prompts, specify the amount of time to 
echo wait before selecting a "default" value, or specify no timeout at all.
ECHO 
ECHO 
ECHO 
echo	 		Please press any key to continue...
pause > nul

:----------------------------------------------------------------------------:
:	    Ask question & wait 5 seconds before timing out:                 :
: ---------------------------------------------------------------------------:

cls
:quest1
Y_OR_N Do you want to load your mouse driver? 5

:----------------------------------------------------------------------------:
: 	Make sure you test for the highest errorlevel 1st!                   :
:----------------------------------------------------------------------------:

	if errorlevel 3 goto timeout1
	if errorlevel 2 goto no1
	if errorlevel 1 goto yes1

:timeout1
cls
echo Error level was 3!  Y_or_N waited 5 seconds and then came to this batch
echo file location.  You can make your batch file load (or not load) the
echo application in your question...this is very useful if you run a BBS or
echo a network that automatically reboots your PC when something goes wrong!
echo Y_OR_N allows you create interactive batch files that won't hang up your
echo system if it reboots and you're not there to press a key!
ECHO 
ECHO 
ECHO 
echo	 		Please press any key to continue...
pause > nul
goto quest2

:no1
cls
echo Error level was 2... You must have pressed 'N'!  
goto common

:yes1
cls
echo Error level was 1... You must have pressed 'Y'!

:common
echo This allows your batch file to branch to a label and custom configure your
echo system each time you reboot.  With the timeout feature, you can have a
echo "default" configuration that your system loads when you don't press a key!
ECHO 
ECHO 
ECHO 
echo	 		Please press any key to continue...
pause > nul

:quest2
cls
echo Now, go back and try giving a different answer (or let it time out)!
ECHO 
ECHO 
ECHO 
echo	 		Please press any key to continue...
pause > nul
Y_OR_N Want to try it again? (notice, this question didn't beep) 5 Q

	if errorlevel 3 goto quest1
	if errorlevel 2 goto end
	if errorlevel 1 goto quest1

:end
